import HTTPClient from "../../../implementation/Client/HTTPClient/HTTPClient";
import { OperationType } from "../../../types/Operation.type";
import { ActorReminderType } from "../../../types/ActorReminder.type";
import { ActorTimerType } from "../../../types/ActorTimer.type";
import IClientActor from "../../../interfaces/Client/IClientActor";
import { KeyValueType } from "../../../types/KeyValue.type";
import ActorId from "../../ActorId";
export default class ActorClientHTTP implements IClientActor {
    client: HTTPClient;
    constructor(client: HTTPClient);
    invoke(actorType: string, actorId: ActorId, methodName: string, body?: any): Promise<object>;
    stateTransaction(actorType: string, actorId: ActorId, operations: OperationType[]): Promise<void>;
    stateGet(actorType: string, actorId: ActorId, key: string): Promise<KeyValueType | string>;
    registerActorReminder(actorType: string, actorId: ActorId, name: string, reminder: ActorReminderType): Promise<void>;
    reminderGet(actorType: string, actorId: ActorId, name: string): Promise<object>;
    unregisterActorReminder(actorType: string, actorId: ActorId, name: string): Promise<void>;
    registerActorTimer(actorType: string, actorId: ActorId, name: string, timer: ActorTimerType): Promise<void>;
    unregisterActorTimer(actorType: string, actorId: ActorId, name: string): Promise<void>;
    deactivate(actorType: string, actorId: string): Promise<void>;
    getActors(): Promise<object>;
}
