/**
 * Contains the actor reminder data
 */
export default class ActorTimerData {
    readonly timerName: string;
    readonly state: string | object | undefined;
    readonly callback: string;
    /**
     * @param reminderName the name of the actor reminder
     * @param state the state data passed to receiveReminder callback
     * @param callback the callback method to call
     */
    constructor(timerName: string, callback: string, state?: string | object | undefined);
    getTimerName(): string;
    getState(): string | object | undefined;
    getCallback(): string;
    /**
     * Return this class as an object
     */
    toObject(): object;
    static fromObject(reminderName: string, obj: any): ActorTimerData;
}
