import GRPCClient from "./GRPCClient";
import { TryLockResponse as TryLockResponseResult } from "../../../types/lock/TryLockResponse";
import { UnlockResponse as UnLockResponseResult, LockStatus } from "../../../types/lock/UnlockResponse";
import { UnlockResponse } from "../../../proto/dapr/proto/runtime/v1/dapr_pb";
import IClientLock from "../../../interfaces/Client/IClientLock";
export default class GRPCClientLock implements IClientLock {
    client: GRPCClient;
    constructor(client: GRPCClient);
    tryLock(storeName: string, resourceId: string, lockOwner: string, expiryInSeconds: number): Promise<TryLockResponseResult>;
    unlock(storeName: string, resourceId: string, lockOwner: string): Promise<UnLockResponseResult>;
    getUnlockResponse(res: UnlockResponse): LockStatus;
}
