import * as grpc from "@grpc/grpc-js";
import GRPCServerImpl from "./GRPCServerImpl";
import IServer from "../../../interfaces/Server/IServer";
import { DaprClient } from "../../..";
export interface IServerType extends grpc.Server {
}
export interface IServerImplType extends GRPCServerImpl {
}
export default class GRPCServer implements IServer {
    isInitialized: boolean;
    serverHost: string;
    serverPort: string;
    server: IServerType;
    serverImpl: IServerImplType;
    serverCredentials: grpc.ServerCredentials;
    client: DaprClient;
    private readonly logger;
    constructor(client: DaprClient);
    getServerAddress(): string;
    getServer(): IServerType;
    getServerImpl(): IServerImplType;
    start(host: string, port: string): Promise<void>;
    stop(): Promise<void>;
    private initializeBind;
}
