import Restana from "restana";
import HTTPServerImpl from "./HTTPServerImpl";
import IServer from "../../../interfaces/Server/IServer";
import { DaprClient } from "../../..";
export interface IServerImplType extends HTTPServerImpl {
}
export interface IServerType extends Restana.Service<Restana.Protocol.HTTP> {
}
export default class HTTPServer implements IServer {
    serverHost: string;
    serverPort: string;
    isInitialized: boolean;
    server: IServerType;
    serverAddress: string;
    serverImpl: IServerImplType;
    client: DaprClient;
    private readonly logger;
    constructor(client: DaprClient);
    getServerAddress(): string;
    getServer(): IServerType;
    getServerPort(): string;
    getServerHost(): string;
    getServerImpl(): IServerImplType;
    start(host: string, port: string): Promise<void>;
    stop(): Promise<void>;
}
