import { GetConfigurationResponse } from "../../types/configuration/GetConfigurationResponse";
import { SubscribeConfigurationCallback } from "../../types/configuration/SubscribeConfigurationCallback";
import { SubscribeConfigurationStream } from "../../types/configuration/SubscribeConfigurationStream";
import { KeyValueType } from "../../types/KeyValue.type";
export default interface IClientConfiguration {
    get(storeName: string, keys?: string[], metadata?: KeyValueType): Promise<GetConfigurationResponse>;
    subscribe(storeName: string, cb: SubscribeConfigurationCallback): Promise<SubscribeConfigurationStream>;
    subscribeWithKeys(storeName: string, keys: string[], cb: SubscribeConfigurationCallback): Promise<SubscribeConfigurationStream>;
    subscribeWithMetadata(storeName: string, keys: string[], metadata: KeyValueType, cb: SubscribeConfigurationCallback): Promise<SubscribeConfigurationStream>;
}
