import { LoggerOptions } from "../types/logger/LoggerOptions";
export declare class Logger {
    private readonly logLevel;
    private readonly logService;
    private readonly component;
    private readonly area;
    /**
     * Creates a new instance of the Logger class.
     * If an options is missing, it falls back to the default values.
     * The default log level is 'info'.
     * The default log service is the ConsoleLoggerService.
     * @param component Component name, typically the module name, e.g. DaprClient.
     * @param area Area name, typically the class name, e.g. Invoke.
     * @param options Logger options
     */
    constructor(component: string, area: string, options?: LoggerOptions);
    error(message: any, ...optionalParams: any[]): void;
    warn(message: any, ...optionalParams: any[]): void;
    info(message: any, ...optionalParams: any[]): void;
    verbose(message: any, ...optionalParams: any[]): void;
    debug(message: any, ...optionalParams: any[]): void;
}
