import { ActorRuntimeOptions } from "./actors/ActorRuntimeOptions";
import { LoggerOptions } from "./logger/LoggerOptions";
export declare type DaprClientOptions = {
    /**
     * If set to false, the HTTP client will not reuse the same connection for multiple requests.
     * Default is true.
     */
    isKeepAlive?: boolean;
    /**
     * Options related to logging.
     */
    logger?: LoggerOptions;
    /**
     * Options related to actors.
     */
    actor?: ActorRuntimeOptions;
    /**
     * API token to authenticate with Dapr.
     * See https://docs.dapr.io/operations/security/api-token/.
     */
    daprApiToken?: string;
};
