import { LoggerService } from "./LoggerService";
import { LogLevel } from "./LogLevel";
/**
 * LoggerOptions provides options for configuring the logger.
 */
export declare type LoggerOptions = {
    /**
     * The minimum level of messages to log.
     * Default is LogLevel.Info.
     */
    level?: LogLevel;
    /**
     * Logging implementation to use.
     * Default is to use the console.
     */
    service?: LoggerService;
};
