import { Enumerable } from "../common/Enumerable.type";
export declare type StateQueryType = {
    filter: StateQueryFilter;
    sort: StateQuerySort[];
    page: StateQueryPagination;
};
declare type StateQuerySort = {
    key: string;
    order?: "ASC" | "DESC";
};
declare type StateQueryPagination = {
    limit: number;
    token?: string;
};
declare type StateQueryFilter = {
    AND?: Enumerable<StateQueryFilterInput>;
    OR?: Enumerable<StateQueryFilterInput>;
    EQ?: Enumerable<StateQueryFilterInput>;
    IN?: Enumerable<StateQueryFilterInput>;
};
declare type StateQueryFilterInput = {
    AND?: Enumerable<StateQueryFilterInput>;
    OR?: Enumerable<StateQueryFilterInput>;
    EQ?: Enumerable<StateQueryFilterInput>;
    IN?: Enumerable<StateQueryFilterInput>;
    [key: string]: any;
};
export {};
