"use strict";
/*
Copyright 2022 The Dapr Authors
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
    http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
Object.defineProperty(exports, "__esModule", { value: true });
exports.convertHttpVerbStringToNumber = exports.convertHttpVerbNumberToString = void 0;
const common_pb_1 = require("../proto/dapr/proto/common/v1/common_pb");
function convertHttpVerbNumberToString(verbNumber) {
    switch (verbNumber) {
        case common_pb_1.HTTPExtension.Verb.GET:
            return "GET";
        case common_pb_1.HTTPExtension.Verb.POST:
            return "POST";
        case common_pb_1.HTTPExtension.Verb.DELETE:
            return "DELETE";
        case common_pb_1.HTTPExtension.Verb.PUT:
            return "PUT";
        case common_pb_1.HTTPExtension.Verb.TRACE:
            return "TRACE";
        case common_pb_1.HTTPExtension.Verb.CONNECT:
            return "CONNECT";
        case common_pb_1.HTTPExtension.Verb.HEAD:
            return "HEAD";
        case common_pb_1.HTTPExtension.Verb.NONE:
            return "NONE";
        case common_pb_1.HTTPExtension.Verb.OPTIONS:
            return "OPTIONS";
    }
    return "NONE";
}
exports.convertHttpVerbNumberToString = convertHttpVerbNumberToString;
function convertHttpVerbStringToNumber(verbStr) {
    switch (verbStr.toUpperCase()) {
        case "GET":
            return common_pb_1.HTTPExtension.Verb.GET;
        case "POST":
            return common_pb_1.HTTPExtension.Verb.POST;
        case "DELETE":
            return common_pb_1.HTTPExtension.Verb.DELETE;
        case "PUT":
            return common_pb_1.HTTPExtension.Verb.PUT;
        case "TRACE":
            return common_pb_1.HTTPExtension.Verb.TRACE;
        case "CONNECT":
            return common_pb_1.HTTPExtension.Verb.CONNECT;
        case "HEAD":
            return common_pb_1.HTTPExtension.Verb.HEAD;
        case "NONE":
            return common_pb_1.HTTPExtension.Verb.NONE;
        case "OPTIONS":
            return common_pb_1.HTTPExtension.Verb.OPTIONS;
    }
    return common_pb_1.HTTPExtension.Verb.NONE;
}
exports.convertHttpVerbStringToNumber = convertHttpVerbStringToNumber;
