import CommunicationProtocolEnum from "../enum/CommunicationProtocol.enum";
export declare class Settings {
    private static readonly defaultAppId;
    private static readonly defaultHost;
    private static readonly defaultHttpAppPort;
    private static readonly defaultHttpPort;
    private static readonly defaultGrpcAppPort;
    private static readonly defaultGrpcPort;
    private static readonly daprSidecarPollingDelayMs;
    private static readonly daprSidecarStartupTimeoutMs;
    static getDaprSidecarPollingDelayMs(): number;
    static getDaprSidecarStartupTimeoutMs(): number;
    static getAppId(): string;
    static getDefaultHost(): string;
    static getDefaultHttpPort(): string;
    static getDefaultGrpcPort(): string;
    /**
     * Gets the default port that the Dapr sidecar is listening to.
     * @param communicationProtocolEnum communication protocol
     * @returns port number
     */
    static getDefaultPort(communicationProtocolEnum: CommunicationProtocolEnum): string;
    static getDefaultHttpAppPort(): string;
    static getDefaultGrpcAppPort(): string;
    /**
     * Gets the default port that the application is listening on.
     * @param communicationProtocolEnum communication protocol
     * @returns port number
     */
    static getDefaultAppPort(communicationProtocolEnum: CommunicationProtocolEnum): string;
}
